/* Tech Rim Standards Website Code (Authored by Sean Boeberitz Copyright 2025 */

/* INDUSTRY FONT */

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
:root{
    --primary-color: #59091F;
    --second-color: #ba1f39;
    --light-color: #ffffff;
    --dark-font-color: #000000;
    --accent-color: #d7a91f;
    --light-border-color: rgb(240, 240, 240);
    --dark-border-color: rgb(212, 212, 212);

    --header-line-height: 1.1rem;
    --sub-header-line-height: 1.5rem;
    --p-line-height: 1.2rem;

    --fs-small: 1rem;
    --fs-subheader: 1.2rem;
    --fs-med: 2.2rem;
    --fs-large: 3.5rem;

    --icon-size: 1rem;

    --fw-bold: 1000;
    --fw-600: 600;
    --fw-700: 700;
    --fw-normal: 500;
    --fw-thin: 200;
    
    --ff-content: 'Proxima-nova', sans-serif;
    --ff-header: 'Industry', sans-serif;

    --border-radius: 10px;

    --standard-width: 100%;

    --centered: 0 auto;
    
    --primary-900: oklch(0.20 0.11 12);
    --primary-700: oklch(0.30 0.11 12);
    --primary-500: oklch(0.42 0.08 12);
    --primary-300: oklch(0.60 0.05 12);

    --secondary-700: oklch(0.45 0.18 19);
    --secondary-500: oklch(0.51 0.18 19);
    --secondary-300: oklch(0.65 0.12 19);
    
    --neutral-100: hsl(0 0% 10%);
    --neutral-200: hsl(0 0% 20%);
    --neutral-300: hsl(0 0% 30%);
    --neutral-400: hsl(0 0% 40%);
    --neutral-500: hsl(0 0% 50%);
    --neutral-600: hsl(0 0% 60%);
    --neutral-700: hsl(0 0% 70%);
    --neutral-800: hsl(0 0% 80%);
    --neutral-850: hsl(0 0% 85%);
    --neutral-900: hsl(0 0% 90%);
    --neutral-950: hsl(0 0% 95%);
    --neutral-960: hsl(0 0% 96%);
    --neutral-980: hsl(0 0% 98%);
    --neutral-1000: hsl(0 0% 100%);
    
    --text-muted: hsl(0 0% 50%);
    --gradient: linear-gradient(0deg, var(--primary-700) 75%, var(--secondary-700));

    --fs--2: clamp(0.7387rem, 0.7987rem + -0.0775vw, 0.7813rem);
    --fs--1: clamp(0.9375rem, 0.9182rem + 0.0857vw, 0.9846rem);
    --fs-0: clamp(1.125rem, 1.0483rem + 0.3409vw, 1.3125rem);
    --fs-1: clamp(1.35rem, 1.1865rem + 0.7265vw, 1.7496rem);
    --fs-2: clamp(1.62rem, 1.3287rem + 1.2948vw, 2.3322rem);
    --fs-3: clamp(1.944rem, 1.4675rem + 2.1178vw, 3.1088rem);
    --fs-4: clamp(2.3328rem, 1.5919rem + 3.2931vw, 4.144rem);
    --fs-5: clamp(2.7994rem, 1.6848rem + 4.9538vw, 5.524rem);
}

body{
    background: var(--neutral-900);
}

/* Main Header */
h1 {

    color: var(--light-color);


    font-size: var(--fs-3);
    font-weight: var(--fw-bold);
    text-transform: uppercase;

    text-wrap: balance;
    
}

h1 span {
    font-size: var(--fs-med);
    flex-shrink: 1;
}

/* Sub Header */
h2 {
    line-height: var(--sub-header-line-height);
    font-size: var(--fs-0);
    font-weight: var(--fw-bold);

    margin-bottom: 10px;
    text-wrap: wrap;

}

/* Accent Header */
h3 {
    font-weight: var(--fw-normal);
}

h3 span {
    font-weight: var(--fw-bold);
    font-style: italic;
    font-size: var(--fs-subheader);
    text-align: unset;

}

h4 span {
    color: var(--primary-color);
}


a{
    text-decoration: none;
    color: var(--second-color);
    font-weight: var(--fw-normal);
}


p{
    font-size: var(--fs--1);
    line-height: var(--p-line-height);
    text-wrap: balance;
    
}

p span {
    font-weight: var(--fw-bold);
}

p span, h3 span {
    color: var(--primary-color);
}

i {
    font-size: var(--fs--2);
}

li a {
    font-weight: var(--fw-normal);
    
}

ul {
    line-height: var(--p-line-height);
}


button {
    background: var(--gradient);
    color: var(--light-color);
    padding: 8px 20px;
    margin-right: 8px;
    font-weight: var(--fw-normal);
    font-family: var(--ff-content);
    font-size: var(--fs--2);

    border: none;
    border-radius: 6px;
    cursor: pointer;
    text-wrap: nowrap;
    letter-spacing: 0.6px;
    box-shadow: 0px 2px 4px hsla(0, 0%, 0%, 0.1);
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 0.5rem;
}

button:hover {
    background: var(--secondary-500);
    
}


.button_container {
    flex-wrap: wrap;
}

img {
    max-width: 100%;
    margin: 0;
    padding: 0;
    object-fit: contain;

}


/* Added Features for later ------------------------------ */

.cookie-popup {
    position: fixed;
    background-color: var(--second-color);
    display: flex;
    align-items: center;
    justify-content: space-between;
    
    bottom: 0;
    width: 100%;
    z-index: 30;
    padding: 20px 10px;

    

    .buttons {
        margin: 0;
    }

    #closeBtn {
        width: 30ch;
        background-color: var(--dark-font-color);
    }

    #closeBtn:hover {
        transform: none;
    }

    p {
        color: var(--light-color);
        line-height: var(--p-line-height);
        font-size: var(--fs-small);
        padding: 5px 25px;
    }
}


.label-deco {
    background-color: var(--accent-color);
    color: var(--light-color);
    border-radius: 0rem 0rem 0rem 21px;
    padding: 6px 15px;
    display: flex;
    align-items: center;
    position: absolute;
    top: 0;
    right: 0;
    font-weight: 700;
    font-style: italic;
    text-transform: uppercase;
    overflow: clip;
    letter-spacing: 0.05rem;
    

    h3 {
        margin-bottom: 0px;
    }
}


.mobile-only {
    display: none;
}


.container {
    display: flex;
    flex-direction: column;
    width: var(--standard-width);
    position: relative;
}


.content-container {
    display: flex;
    flex-direction: column;
    margin-inline: auto;
    
    inline-size: min(100% - 2rem, 1500px);
    background-color: var(--neutral-950);
}

.content-container p,
.content-container h1 {
    color: var(--dark-font-color);
}


.content-container ul {
    padding-left: 20px;
    line-height: var(--p-line-height);
}



.side-content {

    display: flex;
    flex-direction: column;

    border-right: 1px solid var(--light-border-color);

    margin: 20px;

    padding-right: 10px;


    align-items: center;

    h3 {
        font-size: var(--fs-small);
        text-align: center;
    }

    img {
        max-width: var(--standard-width);
        cursor: pointer;
        margin: 10px;
    }

    .active {
        background-color: var(--dark-border-color);
        border-radius: var(--border-radius);
    }
}


.content100 {
    width: var(--standard-width);
    padding: 20px;

    /* background-color: rgb(247, 233, 209); */
}

.nopadding {
    padding: 0;
}

.product-header {
    display: flex;
    position: relative;
    padding: 0.5rem;
    font-family: var(--ff-content);
}

.product-header p,
.product-header ul {
    color: var(--text-muted);
}

.product-header ul {
    font-size: var(--fs--1);
}

.product-header h1 {
    font-family: var(--ff-header);
    color: var(--primary-700);
}

.product-header h2 {
    font-family: var(--ff-header);
    color: var(--neutral-300);
}

.product-content {
    flex: 1;
}

.product-image {
    background-color: var(--neutral-980);
    margin: 1rem 0;
    flex: 1;
    
    display: flex;
    align-items: center;
    justify-content: center;
}

.product-image img {
    max-width: 100%;
}

.product-table {
    margin: 1rem 0;
}

.product-table h3 {
    font-family: var(--ff-header);
    color: var(--neutral-300);
    font-size: var(--fs-0);
    font-weight: var(--fw-bold);
    margin-bottom: 0.5rem;
}







.content33 {
    display: flex;
    position: relative;
    
    justify-content: space-evenly;
    margin: var(--centered);
    
    width: var(--standard-width);

    .third {
        display: flex;
        flex-direction: column;
        align-items: left;
        max-width: 33%;
        width: var(--standard-width);
        padding: 20px 0;
        margin: 10px;
    }
}

.product-box {
    background-color: var(--light-color);
    border: 2px solid var(--light-border-color);
    border-radius: var(--border-radius);

}

.products {
    justify-content: center;
    align-items: flex-start;

    h1{
        line-height: 1.5rem;
        text-wrap: nowrap;
        margin-bottom: 15px;
    }

}

.balanced {
    justify-content: center;
}


.resized {
    max-width: 600px;
    padding: 15px 0;
}

.resized2 {
    max-width: 400px;
    padding: 15px 0;
}

.framed {
    border-radius: var(--border-radius);
    border: 1px solid var(--dark-border-color);
    object-fit: contain;
}

.thumbnail {
    max-width: 150px;
    padding: 10px;
    cursor: pointer;
    background-size: cover;

}
.small-link {
    font-size: var(--fs--2);
    text-decoration: underline;
    color: hsl(0 0% 60%);
    font-family: 'Proxima-nova', sans-serif;
    text-wrap: nowrap;
}

.link-container {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    
    gap: 0.5rem;
    padding: 1rem 0;
}

.img-thumbnail {
    cursor: pointer;
}

.vertical {
    margin-bottom: 10px;
}

.resized-square {
    max-width: 90%;
}

.centered {

    align-items: center;
    align-content: center;
    margin: var(--centered);
}

.selected {
    display: flex;
}




.caption {
    background-color: var(--light-border-color);
    text-align: center;
    padding: 8px 15px;
    margin: 5px 0;
    width: var(--standard-width);
    border-radius: var(--border-radius);
}




.thumbnail_gallery {
    display: flex;
    width: var(--standard-width);
}





/* ---------------------------------------- */


.header_image {
    max-width: var(--standard-width);
    overflow: clip;
}





.box_content_image:hover {
    transform: scale(1.1);
    transition: ease-in-out 1s;
}







.box-description {
    display: flex;
    padding: 0px 20px;
    margin: 20px 0px 0;
}


.box-top-image {
    max-width: var(--standard-width);
    overflow: clip;
    border-radius: 0.5rem 0.5rem 0rem 0rem;

}

.box-top-image:hover {
    transform: scale(1.05);
    transition: ease-in-out 0.3s;
}



.naams-box:hover .learn-btn {
    display: flex;
    transition: ease-in-out 0.4s;
}


#transp-vertical {
    display: flex;
    flex-direction: column;
}







.gallery {
    display: flex;
    width: fit-content;
    background-color: var(--dark-font-color);
    margin-top: 10px;
}









/* End of Re-Usable Coding */


.logo-container {
    display: flex;
    justify-content: center;
    align-items: center;
}


.menu-toggle{
    display: none;
    font-size: 20px;
    background: transparent;
    border: none;
    color: var(--primary-color);
    cursor: pointer;
}




.alt {
    text-transform: uppercase;
    letter-spacing: 0.05rem;
    line-height: 3rem;
    font-size: 3rem;
    color: white;
}


.alt span {
    font-size: 5rem;
}


.divider {
    margin: 1rem 0;
    width: 95%;
    height: 1px;
    background-color: var(--neutral-850);
    
}

.table-container {
    width: 100%;
    border-collapse: collapse;
    border: 0.5px solid hsl(0 0% 85%);
    text-align: left;
    background-color: var(--neutral-950);
    
}

.table-container th {
    background-color: var(--primary-color);
    color: var(--light-color);
    padding: 10px;
    font-family: 'proxima-nova', sans-serif;
    border: 0.5px solid var(--primary-700);
}
.table-container td {
    padding: 10px;
    border-bottom: 0.5px solid hsl(0 0% 85%);
    color: var(--text-muted);
    font-family: 'proxima-nova', sans-serif;
}

.table-container td span {
    font-weight: 600;
    font-family: 'proxima-nova', sans-serif;
}


.table-container {
    font-size: var(--fs--2);
}




/* Tech-Effector Page-Specific Codes */


.product-image-content{
    cursor: pointer;
    justify-items: center;
    
    padding: 10px;

    h2 {
        color: var(--dark-font-color);
        font-size: 1.45vw;
        margin: 2% 0;
    }

    h3 {
        color: var(--primary-color);
        letter-spacing: 0;
        
        text-transform: none;
        font-weight: 400;

        font-size: 0.95vw;
    }

    button {
        margin: 6% 0;
        flex-shrink: 1;
    }

    

}


.customer-scroll {
    display: grid;
    grid-template-columns: repeat(8, calc(100%/8));
    grid-template-rows: repeat(2, auto);
    justify-content: center;
    align-items: center;
    width: 75%;
    margin: var(--centered);
    gap: 1%;

    /* border: 1px solid pink; */
}



.cust-logo {
    max-height: 80px;
    max-width: 100%;
    
    
    margin: 10px;
    padding: 4px 10px;
    background-color: var(--dark-font-color);
    border-radius: var(--border-radius);

    
}

.a3-seal {
    max-width: 110px;
    cursor: pointer;
}


.section-header {
    display: flex;

    text-align: center;
    justify-content: space-between;

    width: 78%;
    margin: 3% auto 1% auto;
    height: fit-content;
    
    
}

.hidden {
    display: none;
}

.sub-header {
    margin-bottom: 20px;

}

.card-header-text {
    font-size: var(--fs-small);

    font-weight: var(--fw-bold);
    text-align: center;

    margin-bottom: 5px;
    color: var(--dark-font-color);
}


.top {
    justify-content: flex-start;
}

.page-header {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 1em;
}


.reveal-button {
    text-decoration: underline;
    color: var(--primary-color);
    font-style: italic;
    font-size: 1vw;
    cursor: pointer;
}



.card-image {
    justify-content: center;

    align-items: center;

    display: flex;
    
    margin: 0;

}

.card-image:hover{
    transform: scale(1.03);
    transition: 0.2s ease-in-out;

}



.block-text {
    margin: var(--centered);
}
.content-paragraph {
    display: flex;
    flex-direction: column;
    padding: 1.5rem 1rem;
    background-color: var(--neutral-1000);
    margin: 1rem 0;
    border-radius: var(--border-radius);
    box-shadow: 0px 2px 4px hsla(0, 0%, 0%, 0.1);
}
.content-paragraph > * {
    margin: 8px 0;
}
.content-paragraph h1 {
    color: var(--primary-700);
    font-family: var(--ff-header);
}
.content-paragraph h2 {
    color: var(--primary-700);
    font-size: var(--fs-0);
    font-family: var(--ff-header);
    text-transform: capitalize;
    font-weight: var(--fw-700);
}
.content-paragraph p,
.content-paragraph ul {
    color: var(--neutral-400);
    font-size: var(--fs--1);
    font-family: var(--ff-content);
}
.content-paragraph ul {
    display: flex;
    flex-direction: column;
    margin: 0 1.5rem;
}
.content-paragraph a {
    color: var(--primary-700);
}
.content-paragraph li {
    margin: 8px 0;
}
.content-paragraph li span {
    font-weight: var(--fw-600);
}










.homepage-content {
    width: 80%;
    margin:  var(--centered);
    
    
    padding: 0.5em 0.5em;

}



.grid-container{
    display: grid;

    grid-template-columns: repeat(5, 1fr);

    margin: 0px auto;

    align-items: stretch;
    gap: 1%;
    flex-shrink: 1;
   
}

.link {
    
    right: 10%;
    top: 36%;
    cursor: pointer;
    text-decoration: underline;
    text-wrap: nowrap;

}

.card {
    
    border: 1px solid var(--dark-border-color);
    flex-direction: row;

    align-items: left;
    
    border-radius: var(--border-radius);
    box-shadow: #000000 0 2 1.5;
    
    
    background-color: var(--light-color);
    


    text-wrap: nowrap;

    position: relative;
    flex: 1;
    
    overflow: clip;
    
    
}


.download-btn {
    position: absolute;
    bottom: 1%;
    right: 1%;
    border-radius: 10px;
    background-color: var(--dark-font-color);
    padding: 15px;
    
    
    i {
        font-size: 1.25rem;
        margin-left: 0;
    }
}




.grid-container2{
    display: grid;
    grid-template-columns: repeat(5, 20%);
    
    justify-content: center;
    align-items: center;
}






